巴布鱼——软件工程师的家园

 找回密码
 立即注册
搜索
热搜: 活动 交友 discuz
查看: 3072|回复: 0

IIS下如何选择PHP版本

[复制链接]

35

主题

36

帖子

306

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
306
QQ
发表于 2015-2-14 17:16:58 | 显示全部楼层 |阅读模式
本文介绍Windows+IIS环境下,下载PHP安装包时该如何选择版本及PHP各版本的一些关键词介绍

前提环境:Windows、IIS
PHP官方网站:http://www.php.net
一、名词介绍
1、如果想使用IIS配置PHP的话,那么需要选择Non-Thread Safe(NTS)版本的PHP
2、32位操作系统、64位操作系统,分别表示为X86、X64
3、VC,即Visual C++,VC9和VC11分别为Visual Studio 2008和Visual Studio 2012编译出来的版本
因此在下载带有“VC”的版本后,服务器应安装有对应的支持库,下载地址如下:
VC9:Microsoft Visual C++ 2008 SP1 Redistributable Package(x86 | x64
VC11:Visual C++ Redistributable for Visual Studio 2012(x86 | x64
二、支持环境
1、IIS6最高支持版本5.4(FastCGI模式、VC9)、5.2(ISAPI模式、VC6),均为32位版,虽然网络上传有64位的,下载测试未通过
2、IIS7支持最新版(FastCGI模式、VC11),32位、64位有下载,根据IIS程序池运行位数决定要安装哪个位数版本
三、关于Zend
1、Zend Optimizer只支持到PHP5.2
2、PHP5.3以后,Zend Optimizer更名为Zend Guard
四、关于phpMyAdmin
1、PHP5.2只支持到phpMyAdmin 4.0.10.6


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|小黑屋|Archiver|手机版|巴布鱼

GMT+8, 2019-10-14 05:14 , Processed in 0.085941 second(s), 22 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表